{% extends '@EasyAdmin/default/layout.html.twig' %}
{% block main %}
    <form name="dateForm">
        <div class="form-group">
            <label for="inputDate">Please choose CronJob time:</label>
            <input id="time" type="time" class="form-control" required>
        </div>
        <button type="button" id="submitBTN">Set cron</button>
    </form>
    <script>
        const setCron = (() => {
            const link = "/setCronTime/{{ id }}/";

            document.getElementById('submitBTN').addEventListener('click', event => {
                console.log(document.getElementById('time').value);
                let form = document.forms.dateForm;
                form.setAttribute('action', link + document.getElementById('time').value);
                form.submit();
            });
        })();
    </script>
{% endblock %}